This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1002352 - Don't show unsubscribe link for specific users
Don't show unsubscribe link for specific users
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
: 1008997 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 21:24 EDT by Kevin Fenzi
Modified: 2014-10-12 18:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:46:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-08-28 21:24:35 EDT
Fedora CC's any bug in the "Package Review" component to a package-review@lists.fedoraproject.org public list. 

Unfortunately, adding the "Unsubscribe me from this bug" link ( bug #661698 ) means that anyone who subscribes or reads the archives can just unsubscribe a bug from the list and it drops off. ;( 

Is there a way we can disable this footer for this user? 

The user is 'package-review@lists.fedoraproject.org' 

Happy to provide more info or entertain alternate solutions.
Comment 1 Simon Green 2013-08-28 21:35:34 EDT
The way this will be implemented is that we will create (yet another!) group, maybe 'cannot_unsubscribe'. Users in that group will not have the unsubscribe link in the e-mail. This group won't be inherited from admin.
Comment 2 Kevin Fenzi 2013-08-30 11:24:38 EDT
Thanks for the quick reply. :) 

Any idea what timeframe we are looking at for that? 

Our package-review list is pretty sad right now, I think due to the bugzilla emails going to our archive and search engines following the 'unsubscribe me from this bug' link, resulting in most of them dropping off the list. ;( 

Or is there any better way to do this? Ideally would be something that (normal) users couldn't remove either.
Comment 3 Simon Green 2013-09-02 02:43:08 EDT
(In reply to Kevin Fenzi from comment #2)
> Any idea what timeframe we are looking at for that? 

I'll leave that for the PM to answer.
 
> Our package-review list is pretty sad right now, I think due to the bugzilla
> emails going to our archive and search engines following the 'unsubscribe me
> from this bug' link, resulting in most of them dropping off the list. ;( 

Do you have any assertion to support this claim? token.cgi is not allowed in the robots.txt file on bugzilla.redhat.com. I would suspect that most search engines to follow the file, even if linked from another site.

> Or is there any better way to do this? Ideally would be something that
> (normal) users couldn't remove either.

We can write a customisation that ensures that the selected e-mail address is always sent an e-mail from Red Hat Bugzilla when a specific condition is met (and the user otherwise has access to that bug).

If you want this, please file this as a separate bug.

  -- simon
Comment 4 Jason McDonald 2013-09-02 02:49:29 EDT
(In reply to Simon Green from comment #3)
> (In reply to Kevin Fenzi from comment #2)
> > Any idea what timeframe we are looking at for that? 
> 
> I'll leave that for the PM to answer.

I've scheduled this bug for the 4.4.0009 release, currently planned for release in the week of September 30th to October 4th.
Comment 5 Kevin Fenzi 2013-09-02 12:37:59 EDT
(In reply to Simon Green from comment #3)

> Do you have any assertion to support this claim? token.cgi is not allowed in
> the robots.txt file on bugzilla.redhat.com. I would suspect that most search
> engines to follow the file, even if linked from another site.

I don't. I guess it could just be some group of users being evil, but it seems like it would be more work than most users would go to. 

> > Or is there any better way to do this? Ideally would be something that
> > (normal) users couldn't remove either.
> 
> We can write a customisation that ensures that the selected e-mail address
> is always sent an e-mail from Red Hat Bugzilla when a specific condition is
> met (and the user otherwise has access to that bug).
> 
> If you want this, please file this as a separate bug.

Can do. 

Thanks!
Comment 6 Mamoru TASAKA 2013-09-04 11:39:38 EDT
Just a followup:

Originally I reported here:
https://fedorahosted.org/fedora-infrastructure/ticket/3955
because recently I have seen the issues many times that package-review@l.f.o tries to remove itself from package review requests like:

https://bugzilla.redhat.com/show_activity.cgi?id=912960
Comment 11 Simon Green 2013-09-17 18:43:57 EDT
*** Bug 1008997 has been marked as a duplicate of this bug. ***
Comment 12 Parag Nemade 2013-09-18 06:20:59 EDT
Do Bugzilla deploys hotfixes? if the fix is available any specific reason to wait for next scheduled release?
Comment 13 Simon Green 2013-09-18 06:48:08 EDT
(In reply to Parag from comment #12)
> Do Bugzilla deploys hotfixes? 

Yes.

> if the fix is available any specific reason to
> wait for next scheduled release?

Because this change is not a candidate for a hot fix. We generally only deploy hot fixes for serious regressions. This is a new feature, not a regression. Secondly, it has not been tested by the QE team.

All going well, this should be part of Bugzilla 4.4.0009, which will be released some time in the next three weeks, subject to QA testing.

  -- simon
Comment 14 Simon Green 2013-09-29 21:57:49 EDT
Please e-mail bugzilla-owner@redhat.com if you don't want the unsubscribe link to appear on e-mails sent to your e-mail address.
Comment 16 Simon Green 2013-10-03 20:46:19 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon
Comment 17 Parag Nemade 2013-10-21 01:18:07 EDT
just saw this bug appeared again in history of bug 1011763
Comment 18 Parag Nemade 2013-10-21 01:21:48 EDT
Kevin,
   I think many bugs still have not got added back package-review@lists.fedoraproject.org as CC to package review bugs
Comment 19 Kevin Fenzi 2013-10-21 11:16:20 EDT
(In reply to Parag from comment #18)
> Kevin,
>    I think many bugs still have not got added back
> package-review@lists.fedoraproject.org as CC to package review bugs

Right. I have not mass readded anything yet. I was hoping bug 1003675 would land soon and I wouldn't need to. ;)
Comment 20 Parag Nemade 2013-10-21 11:46:19 EDT
thanks. lets wait for fix for bug 1003675.
Comment 21 Jason McDonald 2013-10-21 22:15:55 EDT
The fix for bug 1003675 should reach the production server during the week starting October 28.
Comment 22 Parag Nemade 2013-12-09 02:55:58 EST
please provide update on this bug. Just now I see this update which looks to me not actually done by user.
https://bugzilla.redhat.com/show_activity.cgi?id=1036462

Is this bug not fixed yet?
Comment 23 Simon Green 2013-12-09 07:16:59 EST
(In reply to Parag from comment #22)
> please provide update on this bug. Just now I see this update which looks to
> me not actually done by user.
> https://bugzilla.redhat.com/show_activity.cgi?id=1036462
> 
> Is this bug not fixed yet?

Only package-review@lists.fedoraproject.org have the don't-add-an-unsub link flag on it. AFAIK, e-mails fonts-bugs@lists.fedoraproject.org will still have the un subscribe link at the bottom of the e-mail.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.